<?php

namespace App\Http\Middleware;

use App\Models\AppSession;
use Closure;

class ProAuthenticated
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  \Closure $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $sessionKey = $request->cookie('sessionKey');
        $authenticated = $sessionKey &&
            AppSession::where(['session_key' => $sessionKey, 'is_active' => true])->first();

        if (!$authenticated) {
            return redirect()->route('login');
        }

        return $next($request);
    }
}
