@extends('layouts.template')

@section('content')
    <div class="container-fluid">
        <div class="row">
            <nav id="sidebarMenu" class="col-md-3 col-lg-2 d-md-block bg-light sidebar collapse">
                <div class="sidebar-sticky pt-3">
                    <ul class="nav flex-column">
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.dashboard', ['patient' => $patient]) }}">Dashboard</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.care-plan', ['patient' => $patient]) }}">Care
                                Plan</a></li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.medications', ['patient' => $patient]) }}">Medications</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.dx-and-focus-areas', ['patient' => $patient]) }}">Dx
                                and Focus Areas</a></li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.care-team', ['patient' => $patient]) }}">Care
                                Team</a></li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.measurements', ['patient' => $patient]) }}">Measurements</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.labs-and-studies', ['patient' => $patient]) }}">Labs
                                and Studies</a></li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.history', ['patient' => $patient]) }}">History</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.immunizations', ['patient' => $patient]) }}">Immunizations</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.allergies', ['patient' => $patient]) }}">Allergies</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.notes', ['patient' => $patient]) }}">Notes</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.flowsheets', ['patient' => $patient]) }}">Flowsheets</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.demographics', ['patient' => $patient]) }}">Demographics</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.account', ['patient' => $patient]) }}">Account</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.care-checklist', ['patient' => $patient]) }}">Care
                                Checklist</a></li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.documents', ['patient' => $patient]) }}">Documents</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.education', ['patient' => $patient]) }}">Education</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.messaging', ['patient' => $patient]) }}">Messaging</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.duplicate', ['patient' => $patient]) }}">Duplicate</a>
                        </li>
                    </ul>
                </div>
            </nav>
            <main role="main" class="col-md-9 ml-sm-auto col-lg-10 px-md-4">
                <div class="card mt-3">
                    <div class="card-header">
                        @if($patient->is_duplicate)
                            <div class="alert alert-danger">
                                This chart is a duplicate of: __________
                            </div>
                        @endif
                        <div class="d-flex">
                            <div class="">
                                <div class="d-flex">
                                    <div class="d-flex align-items-center">
                                        <div class="font-weight-bold" style="font-size: 1.4em">
                                            {{$patient->name_last}}, {{$patient->name_first}}
                                        </div>
                                        <span class="pl-2">
                                            {{$patient->dob}}
                                            {{$patient->age_in_years}} y.o. {{$patient->sex}}
                                        </span>
                                    </div>
                                    <div class="align-items-center d-flex">
                                        <i class="badge badge-info ml-3">
                                            #{{$patient->chart_number}}
                                        </i>
                                    </div>
                                    <div class="pl-3">
                                        <strong>PCP:</strong>
                                        @if($patient->mcp)
                                            {{$patient->mcp->name_display}}...
                                            @if($patient->has_mcp_done_onboarding_visit == 'YES')
                                                <strong>First E&M Visit:</strong> {{$patient->mcp_onboarding_visit_date}}...
                                                <strong>Last E&M Visit:</strong>{$patient->most_recent_mcp_em_visit_date}...
                                                <strong>Next E&M Visit:</strong> {$patient->next_mcp_em_visit_date}
                                            @else
                                                <div class="alert alert-success text-sm p-1">
                                                    <i class="fa fa-exclamation-circle" aria-hidden="true"></i>
                                                    Patient has not been seen yet!
                                                </div>
                                            @endif
                                        @else
                                            <div moe>
                                                none!
                                                <a href="" start show>
                                                    <i class="fas fa-edit"></i>
                                                </a>
                                                <form url="/api/client/putMcp">
                                                    <input type="hidden" name="uid" value="{{$patient->uid}}">
                                                    <div class="form-group">
                                                        <select name="mcpProUid"  class="form-control">
                                                            <option value="">-- select mcp --</option>
                                                            @foreach ($pros as $pro)
                                                            <option value="{{$pro->uid}}">{{$pro->name_display}}</option>
                                                            @endforeach
                                                        </select>
                                                    </div>
                                                    <div class="form-group">
                                                        <button class="btn btn-success btn-sm" submit>Submit</button>
                                                        <button class="btn btn-secondary btn-sm" cancel>Cancel</button>
                                                    </div>
                                                </form>
                                            </div>
                                        @endif
                                    </div>
                                    <div class="d-flex">
                                        <div class="pl-3">
                                            <strong>MA:</strong>
                                            @if($patient->cm)
                                                {{$patient->cm->name_display}}
                                            @else
                                                <div moe>
                                                    none!
                                                    <a href="" start show><i class="fas fa-edit"></i></a>
                                                    <form url="/api/client/putCmPro">
                                                        <input type="hidden" name="uid" value="{{$patient->uid}}">
                                                        <div class="form-group">
                                                            <select name="cmProUid"  class="form-control">
                                                                <option value="">-- select cm --</option>
                                                                @foreach ($pros as $pro)
                                                                <option value="{{$pro->uid}}">{{$pro->name_display}}</option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                        <div class="form-group">
                                                            <button class="btn btn-success btn-sm" submit>Submit</button>
                                                            <button class="btn btn-secondary btn-sm" cancel>Cancel</button>
                                                        </div>
                                                    </form>
                                                </div>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="d-flex">
                                    <div>
                                        <strong>MCN:</strong>
                                        @if($patient->mcn)
                                            @if($patient->was_medicare_validation_successful)
                                                Valid #,
                                                @if($patient->is_part_b_primary == 'YES')
                                                    Medicare Part B <i class="fa fa-check"></i>
                                                @else
                                                    Not Medicare Part B <i class="fa fa-times"></i>
                                                    @if($patient->is_medicare_advantage == 'YES')
                                                        , Medicare Advantage,
                                                        {{$patient->medicare_advantage_plan}}
                                                    @endif
                                                @endif
                                            @else
                                                {{$patient->mcn}}
                                                INVALID! <i class="fa fa-times"></i>
                                                [Update MCN]
                                            @endif
                                        @else
                                            None provided. <i class="fa fa-times"></i>
                                        @endif
                                    </div>
                                </div>
                                <div class="d-flex">
                                    <div>
                                        <strong>
                                            Focus areas:
                                        </strong>
                                        T2DM, CAD, HTN, Weight Loss
                                    </div>
                                    <div class="pl-4">
                                        <strong>Ht:</strong> ___ in. <strong>Wt:</strong> ___ lbs. <strong>BMI:</strong>
                                        ___
                                    </div>
                                </div>
                                <div>
                                    <strong>
                                        Allergies:
                                    </strong>
                                    ...
                                    ...
                                    ...
                                </div>
                            </div>
                            <div class="text-right flex-fill">
                                <button class="btn btn-primary btn-sm">
                                    <i class="fa fa-plus-circle"></i>
                                    Note
                                </button>
                                <br>
                                <button class="btn btn-primary btn-sm mt-2">
                                    <i class="fa fa-book"></i>
                                    Education
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <h1 class="h3">@yield('section-title')</h1>
                        <div>
                            @yield('inner-content')
                        </div>
                    </div>
                </div>

            </main>
        </div>
    </div>
@endsection
