<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>{{ config('app.name') }}</title>

    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,600" rel="stylesheet">

    <!-- <link href="{{ asset('bootstrap-4.5.0/css/bootstrap.css') }}" rel="stylesheet"> -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.1/css/all.min.css">
    <link href="{{ asset('/css/app.css') }}" rel="stylesheet">
    <link href="{{ asset('/css/style.css') }}" rel="stylesheet">
    <link href="{{ asset('/css/yemi.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('/css/toastr.min.css') }}">
    <!-- Styles -->

    <script src="{{ asset('js/app.js') }}" type="application/javascript"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
    <script src="{{ asset('js/toastr.min.js') }}" type="application/javascript"></script>
    <script src="{{ asset('js/yemi.js') }}" type="application/javascript"></script>

    @yield('head')
</head>

<body>
<div id="mask" style="background: rgba(0, 0, 0, 0) url(&quot;/vanillaspin.gif&quot;) no-repeat scroll center center; position: fixed; top: 0px; left: 0px; z-index: 9999; width: 100%; height: 100%; display: none;">
</div>
<div id="moe-form-mask" style="background: rgba(0, 0, 0, .1) no-repeat scroll center center; position: fixed; top: 0px; left: 0px; z-index: 99; width: 100%; height: 100%; display: none;">
</div>

    <nav class="navbar navbar-expand-md navbar-dark stag-primary-bg py-1">
        <a class="navbar-brand" href="{{ route('dashboard') }}">Scholar</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navBar" aria-controls="navBar" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navBar">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item"><a class="nav-link" href="{{ route('dashboard') }}"><i class="mr-1 fas fa-tachometer-alt"></i> Dashboard</a> </li>
                <li class="nav-item"><a class="nav-link" href="{{ route('patients') }}"><i class="mr-1 fas fa-user-injured"></i> Patients</a> </li>
                <li class="nav-item"><a class="nav-link" href="{{ route('new-patient') }}"><i class="mr-1 fas fa-user-plus"></i> New Patient</a> </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="practice-management" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="mr-1 fas fa-tasks"></i> Practice Management</a>
                    <div class="dropdown-menu" aria-labelledby="practice-management">
                        <a class="dropdown-item" href="{{ route('practice-management.dashboard') }}">Dashboard</a>
                        <a class="dropdown-item" href="/practice-management/rates">Payment Rates</a>
                        <a class="dropdown-item" href="/practice-management/previous-bills">Previous Bills</a>
                        <a class="dropdown-item" href="/practice-management/financial-transactions">Financial Transactions</a>
                        <a class="dropdown-item" href="/practice-management/pending-bills-to-sign">Pending Bills to Sign</a>
                        <a class="dropdown-item" href="/practice-management/hr">HR</a>
                    </div>
                </li>
            </ul>
            <div class="d-flex align-items-center">
                <p class="text-white m-0">Hello, <b>{{ $pro->cell_number }}!</b></p>
                <form action="{{ route('logout') }}" method="post">
                    @csrf
                    <button class="btn btn-link text-white">
                        <i class="fas fa-sign-out-alt"></i> Logout
                    </button>
                </form>
            </div>
        </div>
    </nav>


    <main role="main">

        @yield('content')

    </main><!-- /.container -->

</body>

</html>
